Loading...
Searching...
No Matches
insert_into_ibf.hpp File Reference

Provides raptor::hibf::insert_into_ibf. More...

`#include <robin_hood.h>`
`#include <seqan3/search/dream_index/interleaved_bloom_filter.hpp>`
`#include <raptor/argument_parsing/build_arguments.hpp>`
`#include <raptor/build/hibf/chopper_pack_record.hpp>`

Go to the source code of this file.

## Namespaces

namespace | raptor::hibf
| Must be first include.

## Functions

void | raptor::hibf::insert_into_ibf (build_arguments const &arguments, chopper_pack_record const &record, seqan3::interleaved_bloom_filter<> &ibf)
void | raptor::hibf::insert_into_ibf (robin_hood::unordered_flat_set< size_t > const &kmers, size_t const number_of_bins, size_t const bin_index, seqan3::interleaved_bloom_filter<> &ibf, timer< concurrent::yes > &fill_ibf_timer)

## Detailed Description

Provides raptor::hibf::insert_into_ibf.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>